aboutsummaryrefslogtreecommitdiffstats
path: root/main/mkfontdir/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/mkfontdir/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/mkfontdir/APKBUILD')
-rw-r--r--main/mkfontdir/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/main/mkfontdir/APKBUILD b/main/mkfontdir/APKBUILD
new file mode 100644
index 0000000000..5858f6a925
--- /dev/null
+++ b/main/mkfontdir/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=mkfontdir
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="create an index of X font files in a directory"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+depends="mkfontscale"
+makedepends="pkgconfig"
+install=
+triggers="$pkgname.trigger:/usr/share/fonts/*"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="9365ac66d19186eaf030482d312fca06 mkfontdir-1.0.5.tar.bz2"